/*
 * main.h
 *
 *  Created on: 11 de mar de 2023
 *      Author: arne
 */

#ifndef MAIN_H_
#define MAIN_H_

//*****************************************************************************
// Arquivos incluídos
//*****************************************************************************
#include "stm32f10x.h"
#include "stm32f10x_gpio.h"
#include "stm32f10x_rcc.h"
#include "delay.h"
#include "lcd16x2.h"
#include "timerTIM2_STM.h"
#include "usart_STM.h"
#include "aux_dep.h"
#include "my_gps.h"

#include "my_defines.h"

//*****************************************************************************
// Constantes globais
//*****************************************************************************
const char gps_header1[5] = {'G','P','G','G','A'};

//*******************************************************************************
// Variáveis Externas do módulo
//*******************************************************************************
char recbuf[TAMBUF];
char myHour[10];
char p[10];

volatile uint8_t LED_live;
volatile uint8_t autoriza;
volatile uint8_t time500ms;

volatile uint8_t state_mach;
volatile uint8_t counter;

#endif /* MAIN_H_ */
