/*
 * my_defines.h
 *
 *  Created on: 11 de mar de 2023
 *      Author: arne
 */

#ifndef MY_DEFINES_H_
#define MY_DEFINES_H_

//*******************************************************************************
// Definições do módulo
//*******************************************************************************
#define TRUE 			1
#define FALSE 			0
#define CR				0x0D

#define TAMBUF			0x80

//*******************************************************************************
// Definições para uso das USARTs
//*******************************************************************************
//#define __USE_USART1__
//#define __USE_USART2__
#define __USE_USART3__

//*******************************************************************************
// Definição importantes para o módulo
//*******************************************************************************
#define PORTLED			GPIOC
#define LED_Live		GPIO_Pin_13

#define setLED_Live		GPIO_SetBits(PORTLED, LED_Live)
#define resLED_Live     GPIO_ResetBits(PORTLED, LED_Live)

#define TIME2s			0x08
#define TIME3s			0x0C
#define TIMELED			0x02

#endif /* MY_DEFINES_H_ */
